Send Modal to Member

Instantly display a modal message on a member's mobile device. Intended for real-time system feedback such as success confirmations, error messages from third-party integrations, or status updates. The modal appears immediately in the app and can be composed of multiple content parts.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint enables the use of the TRIFFT Universal Modal feature, which allows for the display of customizable modals or full-screen modals with tailored information. These modals can be constructed from components (detailed later in this documentation) from top to bottom.

This functionality is ideal for notifying members about the status of their requests, informed by events from internal or external (3rd party) systems, enhancing communication and user engagement through real-time updates.

❗️

Important usage note

This endpoint is intended for transactional push notifications only (e.g. individual user actions, order updates, personal alerts). It is not designed or allowed for sending bulk or marketing push notifications.
For mass or marketing campaigns, please use our administration interface or supported integrations such as Bloomreach, which are optimized for large-scale delivery and compliance.

🚧

Important Notice on Modal Delivery

Please be aware that the delivery of universal modals to member devices is not guaranteed. Modals can only be sent to members using the mobile app, and their eligibility to receive these universal modals depends on several factors:

App Availability: The app must be running in the foreground and have an active internet connection.
Background App Use: If the app is running in the background, the member must have enabled push notifications for the app.
Delivery Time: While delivery is typically instantaneous, there may be delays. These delays can be due to the load on our systems or variabilities in the push delivery services provided by Apple or Google.

Modal parts

You can create a modal app appearance by adding and organizing the available parts documented below.

Text with title

{
  "type": "textTitle",
  "title": "Lorem ipsum dolor", // titlethe above text
  "text": "Lorem ipsum dolor sit amet, consectetur adipiscing elit.", // text below title
  "center": true // if true title and text will be centered
}

Text

{
  "type": "text",  
  "text": "Lorem ipsum dolor sit amet, consectetur adipiscing elit."
}

Spacer

Add empty space for fine-tuning the modal appearance.

{
  "type": "spacer",  
  "size": "SMALL", // available: SMALL, LARGE
  "line": false // if true display horizontal line 
}

Button

Add a centered button to the modal that can either CLOSE the modal, link to other parts of the app, or open an external URL.

Types of link

linkTypeDescriptionlinkLink required?
URL_EMBEDOpen website inside Apphttps url of websiteYes
URL_BLANKOpen website in browser window/apphttps url of websiteYes
APPOpen specified screen inside appFor example:
messages,
map,
news,
news-article/{news_id},
coupons,
rewards,
pages,
page/{page_id},
contest/{contest_id}
Yes
SYSTEMCall system action or modalCAMERA - Request access to Camera
GPS - Request access to GPS
PUSH - Request access to sending PUSH notifications to Member
STORE_REVIEW - Request review on App Store / PlayStore
Yes
CLOSEClose this modal windowNo
🚧

Important notice on SYSTEM link type of STORE_REVIEW

  • You are limited to three store review requests per user within a 365-day period. Exceeding this limit will disable the review request button for that user.
  • These restrictions are likely in place to prevent app developers from overwhelming users with review requests.
{
  "type": "button",
  "title": "Okay", // text displayed on button
  "linkType": "CLOSE", // button behavior (URL_EMBED, URL_BLANK, APP, SYSTEM or CLOSE)
  "link": "optional link" // based on linkType, except 'CLOSE' is required
}

Code

Can display various types of QRCODE, EAN13, or TEXT codes.

{
  "type": "code",
  "code": "ABC123",
  "codeType": "TEXT" // Available: TEXT, CODE128, CODE39, EAN13, UPC, UPCA, UPCE, PDF417, QRCODE
Path Params
string
required

UUID of Member

Body Params
boolean
required
Defaults to false

If modal should be fullscreen or as modal window.

json
required
Defaults to []

Array of Universal Modal Objects (refer to documentation for details)

Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json